<nz-card nzTitle='{{ "Politics.Elections.upcomingElections" | translate }}' nzSize="small" [nzExtra]="extraTitle" [nzLoading]="isLoading">
  <div nz-row style="text-align: center" *ngIf="list.length > 0" nzGutter="8">
    <div nz-col nzXs="24" nzSm="24" nzMd="8" *ngFor="let item of list">
      <h2>{{ item.type | translate }}</h2>
      <div>
        <nz-tag nzColor="blue" nz-tooltip nzTooltipTitle="{{ item.voteDate }}" *ngIf="item.isVoteDay === false"
          style="height: 48px; margin-left: 15px; text-align: center; vertical-align: middle;">
          <div class="countdown-style">
            <div *ngIf="item.days > 0">~{{ item.days }} {{ item.days == 1 ? "day" : "days" }}</div>
            <countdown *ngIf="item.days <= 0" [config]="{ leftTime: item.secondsUntilElections }">
            </countdown>
          </div>
        </nz-tag>
        <button nz-button *ngIf="item.isVoteDay === true" style="margin-top: 5px" nzShape="round" nzSize="large"
          [routerLink]="['/elections/vote']" style="background-color: #91d5ff;">
          {{ "Politics.Elections.VoteNow" | translate }}
        </button>
      </div>
    </div>
  </div>
  <ng-template #extraTitle>
    <div *ngIf="partyId">
      <button nz-button nzShape="round" nzType="primary" [routerLink]="['/party', partyId, 'election']" [queryParams]="{ countryId: countryId }">
        {{ "Politics.Elections.CandidateView" | translate }}
      </button>
    </div>
  </ng-template>
</nz-card>